import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PdfGroupCreateNestedOneWithoutPdfsInputObjectSchema as PdfGroupCreateNestedOneWithoutPdfsInputObjectSchema } from './PdfGroupCreateNestedOneWithoutPdfsInput.schema'

const makeSchema = () => z.object({
  filename: z.string(),
  pdfData: z.instanceof(Uint8Array),
  uploadedAt: z.coerce.date().optional(),
  group: z.lazy(() => PdfGroupCreateNestedOneWithoutPdfsInputObjectSchema)
}).strict();
export const PdfFileCreateInputObjectSchema: z.ZodType<Prisma.PdfFileCreateInput> = makeSchema() as unknown as z.ZodType<Prisma.PdfFileCreateInput>;
export const PdfFileCreateInputObjectZodSchema = makeSchema();
